
From: Ashok Raj <ashok.raj@intel.com>

Some functions should be devinit for cpu hotplug purpose.

Signed-off-by: Ashok Raj <ashok.raj@intel.com>
Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/sched.c~scheduler-cache-hot-autodetect-section-fix kernel/sched.c
--- 25/kernel/sched.c~scheduler-cache-hot-autodetect-section-fix	2005-06-25 01:17:14.000000000 -0700
+++ 25-akpm/kernel/sched.c	2005-06-25 01:17:14.000000000 -0700
@@ -5020,7 +5020,7 @@ __setup("migration_factor=", setup_migra
  * Estimated distance of two CPUs, measured via the number of domains
  * we have to pass for the two CPUs to be in the same span:
  */
-__init static unsigned long domain_distance(int cpu1, int cpu2)
+__devinit static unsigned long domain_distance(int cpu1, int cpu2)
 {
 	unsigned long distance = 0;
 	struct sched_domain *sd;
@@ -5228,7 +5228,7 @@ measure_cost(int cpu1, int cpu2, void *c
 	return cost1 - cost2;
 }
 
-__init static unsigned long long measure_migration_cost(int cpu1, int cpu2)
+__devinit static unsigned long long measure_migration_cost(int cpu1, int cpu2)
 {
 	unsigned long long max_cost = 0, fluct = 0, avg_fluct = 0;
 	unsigned int max_size, size, size_found = 0;
_
